Skip to main content
POST
/
api
/
payments
/
razorpay
/
{environment}
/
catalog
/
items
Create Razorpay Item
curl --request POST \
  --url https://api.example.com/api/payments/razorpay/{environment}/catalog/items \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "One-time setup",
  "amount": 50000,
  "currency": "INR"
}
'
{
  "item": {
    "itemId": "item_123",
    "name": "Pro monthly",
    "description": "<string>",
    "active": true,
    "amount": 290000,
    "unitAmount": 290000,
    "currency": "inr",
    "type": "invoice",
    "providerCreatedAt": "2023-11-07T05:31:56Z",
    "syncedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environment
enum<string>
required

Payment provider environment.

Available options:
test,
live

Body

application/json
name
string
required
Required string length: 1 - 255
amount
integer
required
Required range: x >= 1
currency
string
required
Required string length: 3
Example:

"INR"

description
string | null
Maximum string length: 2048

Response

Razorpay item created

item
object
required